
Synnefo - Bug # 427

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 04/19/2011 Assignee: Christos Psaltis

Updated: 04/28/2011 Due date:

Subject: Το UI βγάζει παράθυρο για "503" ενώ έχει πάρει connection refused

Description

Για αναπαραγωγή:

α) ξεκινάω το runserver.

β) βλέπω στο UI τα μηχανήματα.

γ) σκοτώνω το runserver.

δ) πάω να κάνω shutdown ένα μηχάνημα.

Το UI βγάζει μήνυμα λάθους με κωδικό 503.

Φαίνεται να γίνεται ρητή μετατροπή του κωδικού σε 503 όταν μια κλήση αποτυχάνει, αλλά είναι λάθος.

Ο κωδικός 503 εμφανίζεται μόνο όταν το UI παίρνει πίσω HTTP 503.

Αν η κλήση αποτύχει με connection refused ή timeout, θα πρέπει να τυπώνει "Code: 0", κι από κάτω ως μήνυμα λάθους

"Could not contact the server" κλπ κλπ.

Ώστε το helpdesk αργότερα να ξέρει ότι το UI δε μίλησε ποτέ με το server, όπως υπονοεί το τωρινό μήνυμα λάθους.

Associated revisions

Revision 80a8f602 - 04/28/2011 10:14 am - Christos Psaltis

Add error code 0, Refs #427

History

#1 - 04/20/2011 01:09 pm - Vangelis Koukis

- Assignee set to Christos Psaltis

#2 - 04/28/2011 10:17 am - Christos Psaltis

- Status changed from New to Feedback

- % Done changed from 0 to 100

διορθώθηκε στο commit:80a8f602

#3 - 04/28/2011 11:30 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed
